Subject: Re: [RFC] bridge and friends: reduce TheLinuxWay(tm)

From: Jamal Hadi Salim <[email-masked]>
Date: Wed, 16 Oct 2013 13:49:34 -0400

On 10/16/13 13:11, Vlad Yasevich wrote:
> On 10/16/2013 09:54 AM, Jamal Hadi Salim wrote:
>
>
> This was to display or filter out virtual function data.
>

Stephen explained - and it seems to make sense (working around
netlink weaknesses). It could be made more generic.

> I probably doesn't need to use this as we want the bridge data, not the
> VF data stored as part of PF interface.
>

I think we need some filtering in the kernel. As it stands today,
unfortunately you get everything ;-> I was suprised at the amount of
data i get from the kernel these days when i ask for a simple netdev
info (I think no less than 1K per netdev; everything from /proc entries
from some bread crumbs i dont see any use for.

>> - get attributes for all bridge ports for bridge br-blah (not there)
>> you could also use the ifindex of br-blah here instead
>
> This would be usefull.
>

Its a usability improvement.
We still have the ifi->ifindex available. It could be used to signal
which bridge device's ports i want.
But then i get _all_ the ports for that bridge.

>
>
> You can already do this with:
>
>      ip link set dev ethX master brX
>

Yes, I know - it sucks from a usability pov.

cheers,
jamal